コンテンツにスキップ
ログイン サインアップ

Google Local Services API

電気工事業者、配管工、鍵屋など、特定エリアの業者を対象としたGoogleローカルサービス広告をスクレイピングします。engine=google_local_servicesを設定し、qにサービスのクエリを渡し、placeにエリアを指定します。

GET https://serp.shifter.io/v1?engine=google_local_services&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesあなたのSERP APIキー
enginestringyesgoogle_local_servicesである必要があります
qstringyes検索対象のサービス
placestringyes検索対象の都市またはエリア
Terminal window
curl "https://serp.shifter.io/v1?engine=google_local_services&api_key=YOUR_API_KEY&q=electrician&place=orlando"
{
"search_parameters": {
"engine": "google_local_services",
"q": "electrician",
"place": "orlando"
},
"local_ads": [
{
"title": "Super Fast Electric",
"link": "https://google.com/localservices/profile?q=electrician+near+orlando&...",
"rating": 5,
"reviews": 7,
"phone": "+14074996813",
"bagde": "GOOGLE GUARANTEED",
"service_area": "Serves Orlando",
"experience": "6+ years in business",
"open_hours": "Open, Closes 4:30PM"
},
{
"title": "A-Lumination Electric",
"rating": 4.3,
"reviews": 95,
"phone": "+14076334044",
"bagde": "GOOGLE GUARANTEED",
"service_area": "Serves Orlando",
"experience": "33+ years in business"
}
]
}